Skip to navigation

Security Advisory Critical: flash-plugin security update

Advisory: RHSA-2013:1518-1
Type: Security Advisory
Severity: Critical
Issued on: 2013-11-13
Last updated on: 2013-11-13
Affected Products: RHEL Desktop Supplementary (v. 5 client)
RHEL Supplementary (v. 5 server)
Red Hat Enterprise Linux Desktop Supplementary (v. 6)
Red Hat Enterprise Linux Server Supplementary (v. 6)
Red Hat Enterprise Linux Server Supplementary AUS (v. 6.4)
Red Hat Enterprise Linux Server Supplementary EUS (v. 6.4.z)
Red Hat Enterprise Linux Workstation Supplementary (v. 6)
CVEs (cve.mitre.org): CVE-2013-5329
CVE-2013-5330

Details

An updated Adobe Flash Player package that fixes two security issues is now
available for Red Hat Enterprise Linux 5 and 6 Supplementary.

The Red Hat Security Response Team has rated this update as having critical
security impact. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available from the CVE link in
the References section.

The flash-plugin package contains a Mozilla Firefox compatible Adobe Flash
Player web browser plug-in.

This update fixes multiple vulnerabilities in Adobe Flash Player. These
vulnerabilities are detailed in the Adobe Security bulletin APSB13-26,
listed in the References section. Specially-crafted SWF content could cause
flash-plugin to crash or, potentially, execute arbitrary code when a victim
loads a page containing the malicious SWF content. (CVE-2013-5329,
CVE-2013-5330)

All users of Adobe Flash Player should install this updated package, which
upgrades Flash Player to version 11.2.202.327.


Solution

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
https://access.redhat.com/site/articles/11258

Updated packages

RHEL Desktop Supplementary (v. 5 client)

IA-32:
flash-plugin-11.2.202.327-1.el5.i386.rpm
File outdated by:  RHSA-2014:0380
    MD5: b27854ada3c0f6cbc2ba498117991964
SHA-256: 79defcdf5acce3abff658dd4415840f7f5237b8afa3d3c0e8a95a229dbe6301c
 
x86_64:
flash-plugin-11.2.202.327-1.el5.i386.rpm
File outdated by:  RHSA-2014:0380
    MD5: b27854ada3c0f6cbc2ba498117991964
SHA-256: 79defcdf5acce3abff658dd4415840f7f5237b8afa3d3c0e8a95a229dbe6301c
 
RHEL Supplementary (v. 5 server)

IA-32:
flash-plugin-11.2.202.327-1.el5.i386.rpm
File outdated by:  RHSA-2014:0380
    MD5: b27854ada3c0f6cbc2ba498117991964
SHA-256: 79defcdf5acce3abff658dd4415840f7f5237b8afa3d3c0e8a95a229dbe6301c
 
x86_64:
flash-plugin-11.2.202.327-1.el5.i386.rpm
File outdated by:  RHSA-2014:0380
    MD5: b27854ada3c0f6cbc2ba498117991964
SHA-256: 79defcdf5acce3abff658dd4415840f7f5237b8afa3d3c0e8a95a229dbe6301c
 
Red Hat Enterprise Linux Desktop Supplementary (v. 6)

IA-32:
flash-plugin-11.2.202.327-1.el6.i686.rpm
File outdated by:  RHSA-2014:0380
    MD5: 60f773e3df09d275c46735464e4b32c8
SHA-256: 058ab0d6d514b25236d3c43e92fc0a377f9c34e4028643f421417f87f453fd2e
 
x86_64:
flash-plugin-11.2.202.327-1.el6.i686.rpm
File outdated by:  RHSA-2014:0380
    MD5: 60f773e3df09d275c46735464e4b32c8
SHA-256: 058ab0d6d514b25236d3c43e92fc0a377f9c34e4028643f421417f87f453fd2e
 
Red Hat Enterprise Linux Server Supplementary (v. 6)

IA-32:
flash-plugin-11.2.202.327-1.el6.i686.rpm
File outdated by:  RHSA-2014:0380
    MD5: 60f773e3df09d275c46735464e4b32c8
SHA-256: 058ab0d6d514b25236d3c43e92fc0a377f9c34e4028643f421417f87f453fd2e
 
x86_64:
flash-plugin-11.2.202.327-1.el6.i686.rpm
File outdated by:  RHSA-2014:0380
    MD5: 60f773e3df09d275c46735464e4b32c8
SHA-256: 058ab0d6d514b25236d3c43e92fc0a377f9c34e4028643f421417f87f453fd2e
 
Red Hat Enterprise Linux Server Supplementary AUS (v. 6.4)

x86_64:
flash-plugin-11.2.202.327-1.el6.i686.rpm     MD5: 60f773e3df09d275c46735464e4b32c8
SHA-256: 058ab0d6d514b25236d3c43e92fc0a377f9c34e4028643f421417f87f453fd2e
 
Red Hat Enterprise Linux Server Supplementary EUS (v. 6.4.z)

IA-32:
flash-plugin-11.2.202.327-1.el6.i686.rpm     MD5: 60f773e3df09d275c46735464e4b32c8
SHA-256: 058ab0d6d514b25236d3c43e92fc0a377f9c34e4028643f421417f87f453fd2e
 
x86_64:
flash-plugin-11.2.202.327-1.el6.i686.rpm     MD5: 60f773e3df09d275c46735464e4b32c8
SHA-256: 058ab0d6d514b25236d3c43e92fc0a377f9c34e4028643f421417f87f453fd2e
 
Red Hat Enterprise Linux Workstation Supplementary (v. 6)

IA-32:
flash-plugin-11.2.202.327-1.el6.i686.rpm
File outdated by:  RHSA-2014:0380
    MD5: 60f773e3df09d275c46735464e4b32c8
SHA-256: 058ab0d6d514b25236d3c43e92fc0a377f9c34e4028643f421417f87f453fd2e
 
x86_64:
flash-plugin-11.2.202.327-1.el6.i686.rpm
File outdated by:  RHSA-2014:0380
    MD5: 60f773e3df09d275c46735464e4b32c8
SHA-256: 058ab0d6d514b25236d3c43e92fc0a377f9c34e4028643f421417f87f453fd2e
 
(The unlinked packages above are only available from the Red Hat Network)

Bugs fixed (see bugzilla for more information)

1029692 - CVE-2013-5329 CVE-2013-5330 flash-plugin: multiple code execution flaws (APSB13-26)


References



These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from:
https://www.redhat.com/security/team/key/#package

The Red Hat security contact is secalert@redhat.com. More contact details at http://www.redhat.com/security/team/contact/